package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 银行卡信息对象 szxc_bankcard_info
 * 
 * @author hs
 * @date 2024-03-15
 */
public class SzxcBankcardInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 居民id */
    @Excel(name = "居民id")
    private Long ownerId;

    /** 卡主姓名 */
    @Excel(name = "卡主姓名")
    private String ownerName;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardId;

    /** 银行卡号 */
    @Excel(name = "银行卡号")
    private String cardNum;

    /** 银行行号 */
    @Excel(name = "银行行号")
    private String bankNum;

    /** 银行名称 */
    @Excel(name = "银行名称")
    private String bankName;

    /** 开户行 */
    @Excel(name = "开户行")
    private String bankAddress;

    /** 是否默认卡 */
    @Excel(name = "是否默认卡")
    private String defaultCard;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOwnerId(Long ownerId) 
    {
        this.ownerId = ownerId;
    }

    public Long getOwnerId() 
    {
        return ownerId;
    }
    public void setOwnerName(String ownerName) 
    {
        this.ownerName = ownerName;
    }

    public String getOwnerName() 
    {
        return ownerName;
    }
    public void setCardId(String cardId) 
    {
        this.cardId = cardId;
    }

    public String getCardId() 
    {
        return cardId;
    }
    public void setCardNum(String cardNum) 
    {
        this.cardNum = cardNum;
    }

    public String getCardNum() 
    {
        return cardNum;
    }
    public void setBankNum(String bankNum) 
    {
        this.bankNum = bankNum;
    }

    public String getBankNum() 
    {
        return bankNum;
    }
    public void setBankName(String bankName) 
    {
        this.bankName = bankName;
    }

    public String getBankName() 
    {
        return bankName;
    }
    public void setBankAddress(String bankAddress) 
    {
        this.bankAddress = bankAddress;
    }

    public String getBankAddress() 
    {
        return bankAddress;
    }
    public void setDefaultCard(String defaultCard) 
    {
        this.defaultCard = defaultCard;
    }

    public String getDefaultCard() 
    {
        return defaultCard;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ownerId", getOwnerId())
            .append("ownerName", getOwnerName())
            .append("cardId", getCardId())
            .append("cardNum", getCardNum())
            .append("bankNum", getBankNum())
            .append("bankName", getBankName())
            .append("bankAddress", getBankAddress())
            .append("defaultCard", getDefaultCard())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("userId", getUserId())
            .toString();
    }
}
